Bug 5752 - lxqt-panel crash
: lxqt-panel crash
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-10 23:25 MSD by Shalok Shalom
Modified: 2015-11-25 17:10 MSK (History)
1 user (show)

See Also:
RPM Package: lxqt-panel
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shalok Shalom 2015-06-10 23:25:24 MSD
shalokshalom@N150 ~ $ lxqt-panel
LxQt::Translator: Qt translations not found
iconTheme "rosa"
iconTheme "rosa"
iconTheme "rosa"
iconTheme "rosa"
QWidget(0x89f8d00)  does not have a property named  "iconSize"
QWidget(0x89f8d00)  does not have a property named  "iconSize"
settingsChanged "PulseAudio"
LxQt::RotatedWidget(0x8a8bca8)  does not have a property named  "iconSize"
LxQt::RotatedWidget(0x8a8bca8)  does not have a property named  "iconSize"
WinIdChange 2800007 handle QWidgetWindow(0x8a6f830, name = "LxQtPanel panel1Window") QScreen(0x893e0c8)
DesktopSwitchWidget(0x89f26a8, name = "DesktopSwitch")  does not have a property named  "iconSize"
LxQtQuickLaunch(0x89f7e80, name = "QuickLaunch")  does not have a property named  "iconSize"
LxQtTaskBar(0x8a523f8, name = "TaskBar")  does not have a property named  "iconSize"
QWidget(0x8969f28, name = "KbIndicator")  does not have a property named  "iconSize"
QLabel(0x8a90ea8, name = "CapsLockLabel")  does not have a property named  "iconSize"
QLabel(0x895f970, name = "NumLockLabel")  does not have a property named  "iconSize"
QLabel(0x8a919f0, name = "ScrollLockLabel")  does not have a property named  "iconSize"
QWidget(0x8a82ff0, name = "Clock")  does not have a property named  "iconSize"
Segmentation fault (core dumped)
Comment 1 Shalok Shalom 2015-06-10 23:35:24 MSD
Since there is now way for me to access the wlan without a panel, is there no way to upload hw-probe in the lxqt session. Here is one from KDE SC 4: http://hw.rosalinux.ru/index.php?probe=bc3393a6ed
Comment 2 Denis Silakov 2015-06-10 23:45:47 MSD
Have you installed task-lxqt from scratch or you already had some version of it installed previously?

I remember such kind of error and I thought that it should be fixed now. However, it can easily arise if you have config files from older packages in your home folder (since these files are created when you launch lxqt for the first time and then not touched with package updates).

You can try to find all lxqt config files in your home folder (somewhere in ~/.config) and remove them.

You can also try experimental LXQt images from here:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/135/product_build_lists/11519
Comment 3 Shalok Shalom 2015-06-11 12:31:03 MSD
I install task-lxqt from scratch and
Comment 4 Shalok Shalom 2015-06-11 12:31:57 MSD
on an existing KDE SC 4 Installation. :)
Comment 5 Denis Silakov 2015-06-11 12:59:01 MSD
Ok, I found the problem.

If you go to ~/.config/lxqt/panel.conf and completely drop "kbindicator2" section, then everything should be ok.

We have a patched kbindicator with possibility to shopw keyboard layout, but it looks like it doesn't work properly.
Comment 6 Denis Silakov 2015-06-16 18:58:32 MSD
It also looks that the problem with that keyboard indicator appears only if you have only one keyboard locale.
Comment 7 Shalok Shalom 2015-07-02 11:06:18 MSD
Thanks a lot, that helps. (The error log, which i post on the top here, is still the same, the panel appears)

Which is still unclear to me, is how to configure my network/WLAN ?

There is no such icon in the panel, also not available to add it.

And by the way: I update from 5-9.0 to 8-9.0 before i delete kbindicator from panel.conf and i have to do this by hand: 

The automatic update do not detect this update, why this please ?
Comment 8 Shalok Shalom 2015-07-03 11:07:47 MSD
The automatic update process also avoid to see perl-Class-ISA, its only possible to upgrade these both via drakrpm and manual console update.
Comment 9 Denis Silakov 2015-07-03 11:27:54 MSD
(In reply to comment #7)

> And by the way: I update from 5-9.0 to 8-9.0 before i delete kbindicator
> from panel.conf and i have to do this by hand: 
> 
> The automatic update do not detect this update, why this please ?

The thing is that the problematic config file is located in your home folder and is not owned by any package (due to poor config file handling, it is just copied from global LXQt config in /etc/ folder to your home directory). Such files in user's home are never modified by package update, so if you have a problem with such a config, you have to edit it manually.

And finally, the real problem lies in lxat-panel code and a real solution would be to fix the code, not to edit configs. Upstream is currently working on this and we are waiting for their solution.
Comment 10 Shalok Shalom 2015-07-03 23:33:43 MSD
No, no, there exist (at least) 2 updates, invisible for the automatic update check (systray)

They just appear in drakrpm, when i choose "All updates" in the top left box.

These updates had been perl-Class-ISA and lxqt-panel.

I read somewhere on a ROSA resource, that this can happen through packaging mistakes.
Comment 11 Denis Silakov 2015-07-04 00:04:28 MSD
Hm, could you attach your /etc/urpmi/urpmi.cfg? It looks like contrib/updates repository is not marked with the "updates" flag in your system (you can also check this in gui, in "configure media").

This is quite possible, since I have found a typo in wiki commands used to add conrib_updates repository ("--updates" option was used instead of "--update").
Comment 12 Shalok Shalom 2015-07-04 00:18:09 MSD
Yes, you are correct. Great, that means update a lot of devices, since i guess this typo is there from the very beginning of this wiki page ?
Comment 13 Denis Silakov 2015-07-04 11:01:00 MSD
(In reply to comment #12)

Yes, the typo was there from the very beginning. On the other side, contrib updates for enterprise are not of great importance. I guess sooner or later all the people who added contrib repo in RED will notice that the Updates repo is not marked as "updates".
Comment 14 Shalok Shalom 2015-07-04 12:23:55 MSD
This here is maybe a bit more professional, especially for an Enterprise distribution: http://forum.rosalab.ru/en/viewtopic.php?f=34&t=5785&p=47024#p47024

Thank you
Comment 15 Denis Silakov 2015-11-25 17:10:35 MSK
The original issue with keyboard indicator crashing lxqt-panel is fixed with lxqt 0.10.0